Log in
POST
/login/
const url = 'https://api.semantico.ai/api/v1/login/';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"email":"hello@example.com","password":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.semantico.ai/api/v1/login/ \ --header 'Content-Type: application/json' \ --data '{ "email": "hello@example.com", "password": "example" }'Exchange email and password for an access + refresh token pair.
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
email
required
string format: email
password
required
string format: password
Examplegenerated
{ "email": "hello@example.com", "password": "example"}Responses
Section titled “Responses”Token pair
Media typeapplication/json
object
access
string
refresh
string
Examplegenerated
{ "access": "example", "refresh": "example"}Missing or invalid token.
Media typeapplication/json
object
detail
string
Examplegenerated
{ "detail": "example"}